---
search:
  tags:
    - workflows
    - GET
seo:
  description: >-
    Returns one tracked workflow with its state, and the reason why it…
    Reference for the GET /api/v1/workflows/{id} endpoint in the TimescaleDB
    Enterprise API.
sidebar:
  label: Get a workflow
  badge: GET
title: Get a workflow
type: openapi-operation
---
Returns one tracked workflow with its state, and the reason why it cannot be stopped now, if any.

`GET /api/v1/workflows/{id}`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "database_service_id": "string",
  "dcs_cluster_id": "string",
  "finished_at": "string",
  "id": "string",
  "last_heartbeat": "string",
  "member_name": "string",
  "operation": "string",
  "started_at": "string",
  "starts_backup": true,
  "status": "running",
  "stop_refusal": "string",
  "target_kind": "database_service",
  "target_name": "string",
  "warning": "string"
}
```
